Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1250583 (CVE-2015-2213, CVE-2015-5730, CVE-2015-5731, CVE-2015-5732, CVE-2015-5733, CVE-2015-5734) - CVE-2015-2213 CVE-2015-5730 CVE-2015-5731 CVE-2015-5732 CVE-2015-5733 CVE-2015-5734 wordpress: cross-site scripting vulnerabilities and a potential SQL injection
Summary: CVE-2015-2213 CVE-2015-5730 CVE-2015-5731 CVE-2015-5732 CVE-2015-5733 CVE-201...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-2213, CVE-2015-5730, CVE-2015-5731, CVE-2015-5732, CVE-2015-5733, CVE-2015-5734
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1250584 1250585
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-05 13:55 UTC by Vasyl Kaigorodov
Modified: 2021-02-17 05:03 UTC (History)
3 users (show)

Fixed In Version: WordPress 4.2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:43:02 UTC
Embargoed:


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-08-05 13:55:29 UTC
WordPress version 4.2.4 fixes three cross-site scripting vulnerabilities and a potential SQL injection that could be used to compromise a site.

External References:

https://codex.wordpress.org/Version_4.2.4

Comment 1 Vasyl Kaigorodov 2015-08-05 13:55:53 UTC
Created wordpress tracking bugs for this issue:

Affects: fedora-all [bug 1250584]
Affects: epel-all [bug 1250585]

Comment 2 Vasyl Kaigorodov 2015-08-05 14:16:31 UTC
From http://seclists.org/oss-sec/2015/q3/290 :

"""
    https://core.trac.wordpress.org/changeset/33555
    https://core.trac.wordpress.org/changeset/33556
    "Comments: IDs are integers"


Use CVE-2015-2213 only for this SQL injection issue.


    https://core.trac.wordpress.org/changeset/33535
    https://core.trac.wordpress.org/changeset/33536
    "Customizer: Use hash_equals() for widgets" aka "a fix for a
    potential timing side-channel attack"


Use CVE-2015-5730.


    https://core.trac.wordpress.org/changeset/33542
    https://core.trac.wordpress.org/changeset/33543
    "Heartbeat: Ensure post locks are released" aka "prevents an attacker
    from locking a post from being edited"


Use CVE-2015-5731.



    cross-site scripting vulnerabilities
    https://core.trac.wordpress.org/changeset/33529
    "Nav menus: Consistent titles in widgets"

Use CVE-2015-5732.

    https://core.trac.wordpress.org/changeset/33540
    https://core.trac.wordpress.org/changeset/33541
    "Nav menus: Adjust redundant titles in accessibility helpers"

Use CVE-2015-5733.

    https://core.trac.wordpress.org/changeset/33549
    "Themes: Fix some broken links in the legacy theme preview."

Use CVE-2015-5734.
"""
Updating aliases accordingly.

Comment 3 Fedora Update System 2015-08-10 10:04:15 UTC
wordpress-4.2.4-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-08-13 16:54:43 UTC
wordpress-4.2.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-08-13 16:57:49 UTC
wordpress-4.2.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-08-22 19:25:38 UTC
wordpress-4.2.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-08-23 02:53:28 UTC
wordpress-4.2.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-08-23 03:00:23 UTC
wordpress-4.2.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Product Security DevOps Team 2019-06-08 02:43:02 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.